## org.apache.aries.subsystem.core.archive
Class SubsystemContentHeader.Clause

    java.lang.Object
      org.apache.aries.subsystem.core.archive.SubsystemContentHeader.Clause

All Implemented Interfaces:
  Clause

Enclosing class:
  SubsystemContentHeader

    public static class SubsystemContentHeader.Clause

extends Object
implements Clause

Field Summary
`static String` `ATTRIBUTE_TYPE`
`static String` `ATTRIBUTE_VERSION`
`static String` `DIRECTIVE_RESOLUTION`
`static String` `DIRECTIVE_STARTORDER`

Constructor Summary
`SubsystemContentHeader.Clause(org.osgi.resource.Resource resource)`
`SubsystemContentHeader.Clause(String clause)`

Method Summary
`boolean` `contains(org.osgi.resource.Resource resource)`
`Attribute` `getAttribute(String name)`
`Collection<Attribute>` `getAttributes()`
`Directive` `getDirective(String name)`
`Collection<Directive>` `getDirectives()`
`Parameter` `getParameter(String name)`
`Collection<Parameter>` `getParameters()`
`String` `getPath()`
`int` `getStartOrder()`
`String` `getSymbolicName()`
`String` `getType()`
`org.osgi.framework.VersionRange` `getVersionRange()`
`boolean` `isMandatory()`
`SubsystemContentRequirement` `toRequirement(org.osgi.resource.Resource resource)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTRIBUTE_VERSION

    public static final String ATTRIBUTE_VERSION

See Also:
  Constant Field Values

### ATTRIBUTE_TYPE

    public static final String ATTRIBUTE_TYPE

See Also:
  Constant Field Values

### DIRECTIVE_RESOLUTION

    public static final String DIRECTIVE_RESOLUTION

See Also:
  Constant Field Values

### DIRECTIVE_STARTORDER

    public static final String DIRECTIVE_STARTORDER

See Also:
  Constant Field Values

Constructor Detail

### SubsystemContentHeader.Clause

    public SubsystemContentHeader.Clause(String clause)

### SubsystemContentHeader.Clause

    public SubsystemContentHeader.Clause(org.osgi.resource.Resource resource)

Method Detail

### contains

    public boolean contains(org.osgi.resource.Resource resource)

### getAttribute

    public Attribute getAttribute(String name)

  Specified by:
    `getAttribute` in interface `Clause`

### getAttributes

    public Collection<Attribute> getAttributes()

  Specified by:
    `getAttributes` in interface `Clause`

### getDirective

    public Directive getDirective(String name)

  Specified by:
    `getDirective` in interface `Clause`

### getDirectives

    public Collection<Directive> getDirectives()

  Specified by:
    `getDirectives` in interface `Clause`

### getParameter

    public Parameter getParameter(String name)

  Specified by:
    `getParameter` in interface `Clause`

### getParameters

    public Collection<Parameter> getParameters()

  Specified by:
    `getParameters` in interface `Clause`

### getPath

    public String getPath()

  Specified by:
    `getPath` in interface `Clause`

### getSymbolicName

    public String getSymbolicName()

### getStartOrder

    public int getStartOrder()

### getType

    public String getType()

### getVersionRange

    public org.osgi.framework.VersionRange getVersionRange()

### isMandatory

    public boolean isMandatory()

### toRequirement

    public SubsystemContentRequirement toRequirement(org.osgi.resource.Resource resource)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.